Bug 250703 - no permissions to create logins error
no permissions to create logins error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fast-user-switch-applet (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 21:20 EDT by David L.
Modified: 2015-01-14 18:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:05:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David L. 2007-08-02 21:20:03 EDT
Description of problem:
I intermittently get the following error dialog when I try to switch users:

Your user does not have permissions to create
additional logins.  Check your ~/.Xauthority setup.

Details
~/.Xauthority file badly configured or missing.
100 Not authenticated

There is a close button that doesn't work in that
dialog box.




Version-Release number of selected component (if applicable):
fast-user-switch-applet-2.17.4-4.fc7

How reproducible: Intermittent.  Happens every few times I try to switch
users, which is usually less than once per day.  Once it happens in a
session, it happens every time for the duration of that session.  I have
to log out and log back in to get it to work again.


Steps to Reproduce:
1. Try to switch users with the fast user switch applet.
2.
3.
  
Actual results:
Intermittent failure.

Expected results:


Additional info:
Comment 1 Matthias Clasen 2007-09-17 11:15:08 EDT
I've fixed the close button in the error dialog now.
Comment 2 David Rees 2007-11-10 01:25:23 EST
FWIW, this used to happen to me under F7 and still happens after upgrading to F8.

Sometimes logging out and back in fixes the issue, sometimes it doesn't and only
a reboot does.
Comment 3 Juan Manuel Borges Caño 2007-11-11 17:51:46 EST
I get the same behaviour in f8.
Comment 4 Juan Manuel Borges Caño 2007-11-13 16:52:02 EST
maybe related, compiling the package, I get this warnings:

fusa-display.c: In function 'fusa_display_set_property':
fusa-display.c:180: warning: dereferencing type-punned pointer will break
strict-aliasing rules
fusa-display.c: In function 'fusa_display_finalize':
fusa-display.c:228: warning: dereferencing type-punned pointer will break
strict-aliasing rules

also I have selinux set to enforcing, it that means something (will break
strict-aliasing rules).
Comment 5 Juan Manuel Borges Caño 2007-11-13 17:46:00 EST
Anyways, I think this is a bug, and can be solved by correct coding or simply by
using -fno-strict-aliasing getting a performance penalty as this document explains:
 http://mail.opensolaris.org/pipermail/tools-gcc/2005-August/000047.html
Comment 6 Juan Manuel Borges Caño 2007-11-13 18:51:07 EST
 Hello.

 I reloaded several times the applet with "killall fast-user-switch-applet":
 When the applet fails, it fails even when reloading it.
 When the applet works, it works even when reloading it.

 So I think this is not a fast-user-switch-applet bug, because if it fails
sometimes, the reloads should have failed sometimes.

 Who creates .Xauthority, gdm?

 Also, "check your ~/.Xauthority setup" is not informative, I searched how to
check it, and I'm confused about if the authority file is from XAUTHORITY which
gdm places in /tmp in my case (which seems that fusa searchs it rightly by
calling XauFileName()).

 Another thing, during my testings I noticed that the buttons to leave
message/switch/cancel/unlock sometimes are not responsive by mouse pointer
neither click, only by keyboard.
Comment 7 Adam Huffman 2007-11-26 07:36:14 EST
I'm seeing this now on a system yum-upgraded to F8.
Comment 8 Juan Manuel Borges Caño 2008-04-05 05:48:20 EDT
As of now, it works for me.
Comment 9 Bug Zapper 2008-05-14 09:51:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 David Rees 2008-05-14 13:58:13 EDT
I haven't seen this happen in a while now on my Fedora 8 system. Somehow it has
fixed itself.
Comment 11 Bug Zapper 2008-06-16 22:05:13 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.